Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.client.http
Class AbstractHttpClient

    java.lang.Object
      org.codehaus.xfire.client.http.AbstractHttpClient

Direct Known Subclasses:
  RestHttpClient, SoapHttpClient

    public abstract class AbstractHttpClient

extends java.lang.Object

Common functionality for the SOAP and Rest HTTP clients.

Since:
  Oct 26, 2004
Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `SOAP11_ENVELOPE_NS`
`static java.lang.String` | `SOAP12_ENVELOPE_NS`

Constructor Summary
`AbstractHttpClient()`

Method Summary
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUsername()`
`void` | `invoke()`
`protected void` | `readResponse(java.io.Reader is)`
`protected abstract void` | `readResponse(javax.xml.stream.XMLStreamReader reader)`
`void` | `setEncoding(java.lang.String charset)`
`void` | `setPassword(java.lang.String password)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUsername(java.lang.String username)`
`protected void` | `writeHeaders(java.net.URLConnection urlConn)`
`protected void` | `writeRequest(java.io.OutputStream out)`
`protected abstract void` | `writeRequest(javax.xml.stream.XMLStreamWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAP11_ENVELOPE_NS

    public static final java.lang.String SOAP11_ENVELOPE_NS

See Also:
  Constant Field Values

### SOAP12_ENVELOPE_NS

    public static final java.lang.String SOAP12_ENVELOPE_NS

See Also:
  Constant Field Values

Constructor Detail

### AbstractHttpClient

    public AbstractHttpClient()

Method Detail

### invoke

    public void invoke()
                throws java.io.IOException,
                       XFireFault

  Throws:
    `java.io.IOException`
    `XFireFault`

### writeHeaders

    protected void writeHeaders(java.net.URLConnection urlConn)

### writeRequest

    protected void writeRequest(java.io.OutputStream out)

### writeRequest

    protected abstract void writeRequest(javax.xml.stream.XMLStreamWriter writer)
                                  throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### readResponse

    protected void readResponse(java.io.Reader is)
                         throws XFireFault

  Parameters:
    `reader` -
  Throws:
    `XFireFault`

### readResponse

    protected abstract void readResponse(javax.xml.stream.XMLStreamReader reader)
                                  throws javax.xml.stream.XMLStreamException,
                                         XFireFault

  Throws:
    `javax.xml.stream.XMLStreamException`
    `XFireFault`

### getUrl

    public java.lang.String getUrl()

  Returns:
    Returns the url.

### setUrl

    public void setUrl(java.lang.String url)

  Parameters:
    `url` - The url to set.

### getEncoding

    public java.lang.String getEncoding()

  Returns:
    Returns the charset.

### setEncoding

    public void setEncoding(java.lang.String charset)

  Parameters:
    `charset` - The charset to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getUsername

    public java.lang.String getUsername()

  Returns:
    Returns the username.

### setUsername

    public void setUsername(java.lang.String username)

  Parameters:
    `username` - The username to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.